# United States Environmentally-Extended Input-Output (USEEIO) Modeling Framework 
A modeling framework for creating versions of the USEEIO model for estimating potential impacts of goods and services in the US economy in approximately 400 categories. This framework supports the Sustainable Materials Management program at US EPA (www.epa.gov/smm), but may also be useful for other purposes. It is built using a technique from life cycle assessment (LCA) that combines industry economic data with data on environmental releases and resources used.  A background and description of USEEIO can be found in the following publication:

Yang Y, Ingwersen WW, Hawkins TR, Srocka M, Meyer DE (2017) 
USEEIO: A New and Transparent United States Environmentally-Extended Input-Output Model. 
Journal of Cleaner Production 158:308-318. http://dx.doi.org/10.1016/j.jclepro.2017.04.150

## Installation and Use
Please see the [wiki](https://github.com/USEPA/USEEIO/wiki) pages for instructions.

## Citation
If you use this framework to develop models that are then published, please cite the use of
the framework in the following manner. Include the version used.

Ingwersen, WW, Li, M, Yang, Y. United States Environmentally-Extended Input-Output (USEEIO) Modeling Framework. 
vX.X. DOI: 10.5281/zenodo.1248955

## Disclaimer
The United States Environmental Protection Agency (EPA) GitHub project code is provided on an "as is" basis and the user assumes responsibility for its use.  EPA has relinquished control of the information and no longer has responsibility to protect the integrity , confidentiality, or availability of the information.  Any reference to specific commercial products, processes, or services by service mark, trademark, manufacturer, or otherwise, does not constitute or imply their endorsement, recommendation or favoring by EPA.  The EPA seal and logo shall not be used in any manner to imply endorsement of any commercial product or activity by EPA or the United States Government.
